## org.apache.mahout.math.map
Class OpenByteByteHashMap.MapIterator

    java.lang.Object
      org.apache.mahout.math.map.OpenByteByteHashMap.MapIterator

All Implemented Interfaces:
  Iterator<OpenByteByteHashMap.MapElement>

Enclosing class:
  OpenByteByteHashMap

    public final class OpenByteByteHashMap.MapIterator

extends Object
implements Iterator<OpenByteByteHashMap.MapElement>

Method Summary
`boolean` `hasNext()`
`OpenByteByteHashMap.MapElement` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<OpenByteByteHashMap.MapElement>`

### next

    public OpenByteByteHashMap.MapElement next()

  Specified by:
    `next` in interface `Iterator<OpenByteByteHashMap.MapElement>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<OpenByteByteHashMap.MapElement>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.